convertCel {affxparser} | R Documentation

## Converts a CEL into the same CEL but with another format

### Description

Converts a CEL into the same CEL but with another format. Currently only CEL files in version 4 (binary/XDA) can be written. However, any input format is recognized.

### Usage

    convertCel(filename, outFilename, readMap=NULL, writeMap=NULL, version="4", newChipType = NULL, ..., .validate=FALSE, verbose=FALSE)

### Arguments

`filename` | The pathname of the original CEL file.
`outFilename` | The pathname of the destination CEL file. If the same as the source file, an exception is thrown.
`readMap` | An optional read map for the input CEL file.
`writeMap` | An optional write map for the output CEL file.
`version` | The version of the output file format.
`newChipType` | An optional string for overriding the chip type in the CEL file header.
`...` | Not used.
`.validate` | If `TRUE`, a consistency test between the generated and the original CEL is performed.
`verbose` | If `TRUE`, extra details are written while processing.

### Value

Returns (invisibly) `TRUE` if a new CEL was generated, otherwise `FALSE`.

### Benchmarking of ASCII and binary CELs

Binary CELs are much faster to read than ASCII CELs. Here are some example for reading complete CELs (the differnce is even larger when reading CELs in subsets):

- To do

### Author(s)

Henrik Bengtsson (http://www.braju.com/R/)

### See Also

`createCel`().

### Examples

    ##############################################################
    if (require("AffymetrixDataTestFiles")) {            # START #
    ##############################################################

    # Search for some available Calvin CEL files
    path <- system.file("rawData", package="AffymetrixDataTestFiles")
    files <- findFiles(pattern="[.](cel|CEL)$", path=path, recursive=TRUE, firstOnly=FALSE)
    files <- grep("FusionSDK_Test3", files, value=TRUE)
    files <- grep("Calvin", files, value=TRUE)
    file <- files[1]

    outFile <- file.path(tempdir(), gsub("[.]CEL$", ",XBA.CEL", basename(file)))
    if (file.exists(outFile))
      file.remove(outFile)
    convertCel(file, outFile, .validate=TRUE)

    ##############################################################
    }                                                     # STOP #
    ##############################################################

[Package affxparser version 1.16.0 Index]